

Name:           phonon
Summary:        KDE5 Multimedia Framework
Version:        4.10.3
Release:        %mkrel 2
Url:            http://phonon.kde.org/
License:        LGPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://download.kde.org/stable/phonon/%{version}/%{name}-%{version}.tar.xz
Patch1:        phonon-rpath_use_link_path.patch
Patch2:        phonon-DEFAULT_SOURCE.patch
Patch3:        0024-fix-double-encoding-problem-with-MRLs.patch

BuildRequires:  kde4-macros
BuildRequires:  automoc
BuildRequires:  imagemagick

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64qt4-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel

%description
Phonon is the KDE Multimedia Framework.

%files
%dir %{_kde_libdir}/kde4/plugins/phonon_backend
%dir %{_kde_services}/phononbackends
%{_kde_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml

#--------------------------------------------------------------------

%package        devel
Group:          Development/Libraries
Summary:        Header files and documentation for compiling KDE applications
Requires:       lib64phonon4
Requires:       phonon

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%{_kde_datadir}/phonon/buildsystem
%{_kde_libdir}/cmake/phonon
%{_includedir}/phonon
%{_kde_includedir}/KDE/Phonon
%{_kde_libdir}/libphonon.so
%{_kde_libdir}/libphononexperimental.so
%{_kde_libdir}/pkgconfig/phonon.pc
%{_qt4_prefix}/mkspecs/modules/qt_phonon.pri

%package -n     lib64phonon4
Summary:        Phonon library
Group:          System/Libraries
Requires:       phonon

Obsoletes:      lib64phononexperimental4
Provides:       lib64phononexperimental4 = %{version}-%{release} 

Obsoletes:      qt4-designer-plugin-phonon
Provides:       qt4-designer-plugin-phonon = %{version}-%{release}

%description -n lib64phonon4
Phonon library.

%files -n lib64phonon4
%{_kde_libdir}/libphonon.so.*
%{_qt4_plugindir}/designer/*
%{_kde_libdir}/libphononexperimental.so.*

#--------------------------------------------------------------------


%prep
%setup -q
%patch1 -p1 -b .1
%patch2 -p1 -b .2
%patch3 -p1 -R -b .3

%build
%cmake_kde4 \
    -Wno-dev \
    -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON

%make_build


%install
rm -rf %buildroot
%make_install -C build
mkdir -p %{buildroot}%{_kde_libdir}/kde4/plugins/phonon_backend
mkdir -p %{buildroot}%{_kde_services}/phononbackends

#don't need this
rm -rf %buildroot/%{_datadir}/locale


%changelog
* Thu Jul 23 2020 tex - 4.10.3-2pclos2020
- split into sepatate package for qt4

* Sun Jul 21 2019 tex - 4.10.3-1pclos2019
- new version

* Sun May 12 2019 tex - 4.10.2-3pclos2019
- rebuild against updates

* Tue Mar 19 2019 tex - 4.10.2-2pclos2019
- rebuild against updates

